Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Users

Update User
PATCH /users/{userId}
https://api.relesysapp.net/api/v1/users/{userId}
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
userId string / guid required
Request Body
application/json-patch+json
JSON
[{"value":"My patched name","path":"/name","op":"add"},{"value":{"countryCode":45,"number":"11223344"},"path":"/phoneNumber","op":"replace"},{"path":"/title","op":"remove"},{"value":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2"},"path":"/customFields","op":"add"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"edea7520-05c1-48d8-910f-53fdf8fb6760","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-04-17T11:25:35.4206229Z","lastModifiedDateTime":"2026-04-17T11:25:35.4206229Z","externalId":"NUA","name":"New User A","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","primaryDepartmentId":"736ce96e-adfc-4713-9ce2-f7e50a9de941","additionalDepartments":[{"id":"49c34b98-995c-47c6-bc26-f30adc352159","dataSource":"RelesysAPI"}],"userGroups":[{"id":"184cc3a6-6d93-4739-b1c0-dcf4070f23ad","dataSource":"RelesysAPI"},{"id":"74a70bae-1495-4dc5-9f89-c0adade1f335","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1"},"employmentType":"Full-time manager"}}
object
  data object      
   additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   id string / guid      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   secondaryEmail string      
   secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string